pkcs11h_sys_engine_s Struct Reference
Engines interface

System engine. More...

`#include <pkcs11h-engines.h>`

## Public Attributes

void *(* | malloc )(size_t size)
| malloc provider.
void(* | free )(void *ptr)
| free provider.
time_t(* | time )(void)
| time provider.
void(* | usleep )(unsigned long usec)
| usleep provider.
int(* | gettimeofday )(struct timeval *tv)
| gettimeofday provider (unix).

## Detailed Description

System engine.

## Member Data Documentation

## free

void(* pkcs11h_sys_engine_s::free) (void *ptr)

free provider.

Parameters

  ptr | Pointer.

## gettimeofday

int(* pkcs11h_sys_engine_s::gettimeofday) (struct timeval *tv)

gettimeofday provider (unix).

Parameters

  rv | timeval.

## malloc

void *(* pkcs11h_sys_engine_s::malloc) (size_t size)

malloc provider.

Parameters

  size | Block size.

Returns
  Pointer.

## time

time_t(* pkcs11h_sys_engine_s::time) (void)

time provider.

Returns
  time_t.

## usleep

void(* pkcs11h_sys_engine_s::usleep) (unsigned long usec)

usleep provider.

Parameters

  usec | Microseconds.

The documentation for this struct was generated from the following file:

- pkcs11-helper-1.0/pkcs11h-engines.h

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |